LFR-FSW - Bug #4022

Validation BP des modes SBM1 et SBM2
01/02/2023 09:14 AM - bruno katra

Status: Closed Start date: 01/02/2023
Priority: Normal Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

Salut Bruno,

Je viens de de comparer les BP2 a FO en SBM1 avec les ASM a FO en NM, du moins les termes diagonaux (les AUTO). J'ai des
résultats du méme ordre (écart de plusieurs dizaines de %) donc pas aberrant. En fait je réalise que pour ce teste et étre plus précis
(comparer des signaux forts et non des niveaux de bruit), il faudrait avoir injecter dans la gamme de fréquence FO et non F1. As-tu
encore le temps de refaire ce test SBM1 en balayant les fréquence FO ?

Et en fait méme probléme pour le test SBM2: il faudrait balayer les fréquences F1 et FO ...

Désolé pour ce contre temps

Thomas

History

#1 - 01/02/2023 09:15 AM - bruno katra
J'ai modifié les CTC-511 et 512 + ajout du CTC-513 pour valider ce test.

Résultats de SBM2 @F1 ici (CTC-513) :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.15&fileid=3386676

La suite arrive

#2 - 01/02/2023 06:35 PM - thomas chust

bruno katra wrote in #note-1:
J'ai modifié les CTC-511 et 512 + ajout du CTC-513 pour valider ce test.
Résultats de SBM2 @F1 ici (CTC-513) :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/L FR/3.3.0.15&fileid=3386676

Pour les BP2 SBM2 c'est en effet bien mieux la comparaison avec les ASM NM. Quantitativement et qualitativement (j'ai aussi pu vérifier les termes
non diagonaux, les CROSS).
=> OK pour ce CTC-513 (BP2 SBM2 a F1)

Pour les BP1 cela me semble ok aussi mais je n'ai pas fait le mieux: j'ai comparé les BP1 (SBM2) a partir des BP2 (SBM2) alors que je devrais le
faire a partir des ASM (NM) pour étre plus précis

#3 - 03/02/2023 10:19 AM - bruno katra

- Status changed from New to In Progress

thomas chust wrote in #note-2:

bruno katra wrote in #note-1:

J'ai modifié les CTC-511 et 512 + ajout du CTC-513 pour valider ce test.

Résultats de SBM2 @F1 ici (CTC-513) :
Pour les BP2 SBM2 c'est en effet bien mieux la comparaison avec les ASM NM. Quantitativement et qualitativement (j'ai aussi pu vérifier les
termes non diagonaux, les CROSS).
=> OK pour ce CTC-513 (BP2 SBM2 a F1)

Pour les BP1 cela me semble ok aussi mais je n'ai pas fait le mieux: j'ai comparé les BP1 (SBM2) a partir des BP2 (SBM2) alors que je devrais

le faire a partir des ASM (NM) pour étre plus précis

Merci Thomas !
Je lance CTC-511 et 512 ajd.

#4 - 03/02/2023 02:53 PM - bruno katra
Variantes de CTC-511 (SBM1 @F0) et CTC-512 (SBM2 @FO0) ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/L FR/3.3.0.15&fileid=3386676

#5 - 03/02/2023 02:58 PM - thomas chust

thomas chust wrote in #note-2:

Pour les BP2 SBM2 c'est en effet bien mieux la comparaison avec les ASM NM. Quantitativement et qualitativement (j'ai aussi pu vérifier les
termes non diagonaux, les CROSS).
=> OK pour ce CTC-513 (BP2 SBM2 a F1)

Pour les BP1 cela me semble ok aussi mais je n'ai pas fait le mieux: j'ai comparé les BP1 (SBM2) a partir des BP2 (SBM2) alors que je devrais
le faire a partir des ASM (NM) pour étre plus précis> avec

Voila, je confirme que tout est ok avec ce CTC-513: je retrouve assez bien les BP1 (SBM2) a partir des ASM (NM)

PS: garder a l'esprit qu'ici, pour les produits SBM2, les vérifications avec les produits NM ne peuvent pas étre parfaites, étant donné que les produits
NM sont basés sur des moyennes de 4 s alors que les produits SBM2 le sont sur des moyennes de 1 s ; la vérification des BP1 SBM2 a partir des
BP2 SBM2 est encore moins précise a cause de la compression des BP2 (surtout de ses termes CROSS).

#6 - 06/02/2023 05:55 PM - thomas chust

- File 2023_02_03 12 38 40 packet _record NORMAL.af0 added
- File 2023 _02_03 _12_38 40 packet record SBMZ2.1f0 added

- File 2023_02_03 _12_38 40 packet record SBMZ2.2f0 added

- Tracker changed from Task to Bug

- Assignee changed from thomas chust to Alexis Jeandet

- Priority changed from Normal to Urgent

bruno katra wrote in #note-4:
Variantes de CTC-511 (SBM1 @F0) et CTC-512 (SBM2 @F0) ici :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.15&fileid=3386676

C'était OK avec le CTC-513 (BP2 et BP1 SBM2 a F1) mais ici pour les deux CTC 511 et 512 ou I'on injecte et vérifie les BP @F0 en SBM1 et SBM2,
ily a un bug:

- bien que tous les BP2 SBM soient corrects (par comparaison avec les ASM NM)

- tous les BP1 SBM sont faux ! (pour tous les fichiers, donc a toutes les fréquences)

A titre d'exemple, les fichiers ASCII des BP1, BP2 en SMB2 et ASM en NM, a FO, pour le CTC-512 (SBM2 @F0), correspondant a la 17eme
fréquence injectée (3168 Hz). On voit tout de suite que le fichier BP1 n'est pas cohérent avec le fichier BP2: les AUTO BP2 montre bien une raie a la
5éme fréquence (sur 22, qui est donc centré sur 3312 Hz) alors qu'il y a rien de correspondant dans les PE-PB BP1.

AlexisJ: cela sent a priori un probléme de slicing dans les fréquences ...

#7 - 08/02/2023 12:21 PM - bruno katra
Salut | Quelques retours suite aux tests de ce matin (3.3.0.16) :

- Je confirme que le comportement du test BURST d'hier n'est pas un bug, ¢a venait bien de mon scenario ou j'ai injecté F1 au lieu de FO

- J'ai rejoué CTC-511 (SBM1 @F0), CTC-512 (SBM2 @FO0) et CTC-514 (BURST @F0) en partiels (les 9-10 premieres fréquences), les dumps sont
ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.16&fileid=3398824

- Un CTC-512 complet est en cours.

==> A premiére vue, en regardant les ASCII : tout va bien ! Le comptage est revenu comme il faut en FO pour SBM et le BURST est correct aussi.

#8 - 08/02/2023 12:22 PM - bruno katra

J'ai rajouté un CTC-512 complet en 3.3.0.16 histoire de....
https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/L FR/3.3.0.16&fileid=3398824

#9 - 08/02/2023 12:22 PM - bruno katra

- Priority changed from Urgent to Normal

Thomas confirme que c'est bon maintenant avec la 3.3.0.16 sur CTC-512 patrtiel

#10 - 08/02/2023 12:29 PM - bruno katra
Thomas dit : ok CTC-514 et CTC-511 partiels.

#11 - 22/02/2023 11:47 AM - bruno katra

- Status changed from In Progress to Closed

CTC-512/514 : OK
Tout est validé OK en 3.3.0.16

Files

2023_02_03_12_38_40_packet_record_SBM2.1f0 329 KB 06/02/2023 thomas chust
2023_02_03_12_38_40_packet_record_ NORMAL.af0 551 KB 06/02/2023 thomas chust
2023_02_03_12_38_40_packet_record_SBM2.2f0 122 KB 06/02/2023 thomas chust
